Support » Plugin: MetaSlider » Validation Error

  • I’ve updated to meta slider 2.9 but I am still getting validation errors through the W3C Validator. I am using nivo slider light and the three errors come from the three CSS files associated with it:
    “Element link is missing required attribute property” in
    nivoslider/nivo-slider.css
    metaslider/public.css
    nivoslider/themes/light/light.css

    Any suggestions?

    https://wordpress.org/plugins/ml-slider/

Viewing 8 replies - 1 through 8 (of 8 total)
  • I’ve just done a validation check on 2 sites where I use Meta Slider and both are now giving validation errors when they were clean before. Same three errors as @mcleek21

    Plugin Contributor matchalabs

    (@matchalabs)

    Hi Both,

    Please could you try adding this to your wp-config.php file (it’s a super important file so be careful.. take a backup etc)

    define('METASLIDER_ENABLE_RESOURCE_MANAGER', true);

    It will find all of the Meta Slider CSS at the bottom of the page and move it into the <head> of your page.

    There is no way to get Meta Slider to output the CSS into the <head> of the page directly (not without making it add the CSS to every page on your site, even if there is no slideshow on there).

    Regards,
    Tom

    Hi Tom,

    Done that but I still get the validation errors and the Meta Slider CSS links are still at the bottom of a page. Was I supposed to do something else?

    Plugin Contributor matchalabs

    (@matchalabs)

    Hi Zimbo,

    That should be all you need to do, but it’s not a feature that is used much so it hasn’t had much ‘real life’ testing.

    Please could you send me a link to your site? Do you have any caching plugins installed?

    Regards,
    Tom.

    Valley Road School Rocks

    It uses W3 Total Cache but that’s not the issue because I’ve got the same validation errors from Meta Slider on another site under development that does not have any caching plugin installed, plus another site that does use W3TC.

    Any update on this problem?

    zimbo000

    (@zimbo000)

    Tom,

    So you probably know what the cause of this problem is but I’ve just discovered: on a <link> statement, if the rel attribute is used, the <link> element can only be placed in the <head> element of a page. And as you state above that Meta Slider can’t do this, this means that any page that uses Meta Slider will never pass W3C Validation.

    As many clients of mine want their pages to validate (and I’m not going to debate whether validation per se is right or wrong or not important, the point is that to some people it is important and they will not be persuaded otherwise…), this gives me a bit of problem.

    So, can you please say if you can fix this to stop the validation errors – and if so when?

    Plugin Contributor matchalabs

    (@matchalabs)

    Hi zimbo,

    If you search this forum for ‘validation’ you’ll see quite a few explanations of why meta slider needs to print out the CSS to the bottom of the page, there is no ‘fix’ unfortunately (just workarounds), it’s down to the way WordPress works.

    The only real solution is to copy the CSS includes from the page source, paste them into your header.php file, then uncheck the ‘Print CSS’ option in the advanced slideshow settings.

    Regards,
    Tom.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Validation Error’ is closed to new replies.